Skip to main content
Get all order emissions for a device serial number
curl --request GET \
  --url https://api.gocrex.com/api/device-emissions/{id} \
  --header 'X-API-Key: <api-key>'
{
  "emission_unit": "kgCO2e",
  "number_of_orders": 1,
  "orders": [
    {
      "customer_id": "some-customer-id-1",
      "emission": {
        "packaging": {
          "description": "Packaging of the device",
          "emission": 1.47325,
          "emission_unit": "kgCO2e",
          "ghg_category": "Category 1: Purchased goods and services",
          "ghg_scope": "3",
          "type": "estimated"
        },
        "product_embodied_emission": {
          "description": "Embodied emission of Apple MacBook Air 13 M3 (8C CPU + 8C GPU + 16C NE + 8GB)",
          "emission": 6.834375,
          "emission_unit": "kgCO2e",
          "ghg_category": "Category 1: Purchased goods and services",
          "ghg_scope": "3",
          "type": "estimated"
        },
        "product_use": {
          "description": "Emission from use of Apple MacBook Air 13 M3 (8C CPU + 8C GPU + 16C NE + 8GB)",
          "emission": 1.603125,
          "emission_unit": "kgCO2e",
          "ghg_category": "Electricity",
          "ghg_scope": "2",
          "type": "indicative"
        },
        "transportation": {
          "description": "Upstream transportation of the device",
          "emission": 0.01815,
          "emission_unit": "kgCO2e",
          "ghg_category": "Category 4: Upstream transportation and distribution",
          "ghg_scope": "3",
          "type": "estimated"
        }
      },
      "emission_unit": "kgCO2e",
      "order_date": "2024-12-12",
      "order_id": "some-order-id-1A",
      "tenure_start_date": "2025-01-01",
      "total_emission": 9.9289
    }
  ],
  "serial_number": "XYX",
  "total_emission": 9.9289
}

Authorizations

X-API-Key
string
header
required

Path Parameters

id
string
required

Device serial number

Response

DeviceOrderEmissionsResponse

Device order emissions by device serial number

emission_unit
string

Emission unit

number_of_orders
integer

Number of orders

Example:

2

orders
DeviceOrderSchema · object[]

List of orders

serial_number
string

Your device serial number

total_emission
number

Total emission

Example:

135